# Présentation des versions

Starting after version 1.14.0, we provide release notes through the AppData file. As such, app stores (like GNOME Software) can show release notes to users.

Human-readable textual output can easily be generated with the following command:

`appstream-util appdata-to-news /usr/share/metainfo/org.gnome.gnome-commander.appdata.xml`

Version | Date de la version | Nouveautés
--- | --- | ---

1.14.0

2022-02-05

Corrections de bogues :

- Fixed issue #3 (Mounted devices pluged when Commander is running are not noticed)

- Fixed issue #5 ("Follow Links" option does not work when copying files)

- Fixed issue #13 (Directory size not updated while copying)

- Fixed issue #16 (Start-left-dir doesn't work on '.' (dot directory))

- Fixed issue #19 (FTP connections are not closed correctly)

- Fixed issue #28 (Write permissions are given to all users on an FTP server)

- Fixed issue #33 (Get rid of deprecated gnome-vfs)

- Fixed issue #39 (Copy fail when selecting a "drive")

- Fixed issue #41 (Directory not unreferenced correctly from cache when renamed)

- Fixed issue #45 (Gnome Commander closes when clicking on SMB path \\xxx\dddddd)

- Fixed issue #46 (Automatic refresh of folder content is not correct)

- Fixed issue #47 (Duplicate directory when copying over an existing directory)

- Fixed issue #51 (Move and not copy by default on same filesystem)

- Fixed issue #52 (Auto refresh when changing permissions etc)

- Fixed issue #57 (Remote connections: Gnome Commander misreads file ownership)

- Fixed issue #59 (On ssh connection, to delete a renamed folder/file don't work)

- Fixed issue #74 (Does not show mounted external drives)

- Fixed issue #75 (Newly inserted DVD does not show up)

- Fixed issue #76 (Crash in Gnome Commander when using webDAV SSL)

- Fixed issue #107 (Wrong parsing of command string)

- Fixed issue #115 (No error on autogen when flex is missing)

Nouvelles fonctionnalités :

- Selectable default action when drag-n-drop files with the mouse

- Optional usage of the trash can instead of permanent file deletion (see issue #2)

- Removed internal file search dialog, instead use external command for file search

- Name of connected remote server is shown in the directory indicator (see issue #71)

- New menu entry for (un)selecting only files

- List of developers: Uwe Scholz, Mamoru Tasaka, Andrey Sokolov, Maik Pertermann, Philipp Kiemle

- New or updated translations: ca, cs, da, de, es, eu, fi, hu, id, pl, pt_BR, ro, ru, sl, sr, sv, tr, uk, zh_CN

- New or updated docs: es, sv

1.12.3.1

2021-11-21

Corrections de bogues :

- Fixed issue #110 (Make check fails on s390x, Thanks to Mamoru Tasaka)

Nouvelles fonctionnalités :

- New or updated translations: pl, sv, uk

- New or updated docs: sv

1.12.3

2021-11-20

Corrections de bogues :

- Fixed issue #108 (Crash after right click on file)

- File-roller plugin: Add run error handling (Thanks to Andrey Sokolov)

Nouvelles fonctionnalités :

- New or updated translations: cs, de, hu, ru

- New or updated docs: sv

1.12.2

2021-05-29

Corrections de bogues :

- Fixed issue #104 (Segmentation fault when pressing Ctrl+Right / Ctrl+Left / Ctrl+Shift+.)

Nouvelles fonctionnalités :

- New or updated translations: es, id, ro

- New or updated docs: sv

1.12.1

2021-04-17

Corrections de bogues :

- Fixed issue #12 (Ask for the second time when trying to delete non-empty directory)

- Fixed issue #97 ("Execute" not shown in file popup menu for executable files)

- Fixed issue #98 ("Execute" doesn't work on files with space in filename)

- Fixed issue #55 (Theme does not change in all tabs when applied)

- Fixed issue #102 (Compilation error when TagLib is not available)

- Fixed issue #103 (Crash when empty string is given for search)

Nouvelles fonctionnalités :

- New or updated translations: pl, pt_BR, sr, sv, uk

- New or updated docs: sv

1.12.0

2021-03-25

Corrections de bogues :

- Fixed issue #95 (InternalViewer: Scrolling images via mouse, mouse scroll wheel or keyboard arrow keys)

- Fixed issue #96 (Segmentation fault when opening file/directory properties using keyboard)

Nouvelles fonctionnalités :

- Use GIO instead of Gnome-VFS for opening files with default application

- Use GIO instead of Gnome-VFS for filtering the file list, and on various other parts of the program

- New or updated translations: ca, cs, da, de, eo, es, eu, fi, hu, id, kk, pl, pt_BR, ro, sl, sr, tr, uk

- New or updated docs: cs, de, es, sv

1.10.3

2020-06-19

Corrections de bogues :

- Fixed issue #29 (Migrate deprecated GnomeFileEntry to GtkFileChooserButton)

- Fixed issue #34 (Get rid of deprecated libgnome and libgnomeui)

- Fixed issue #65 (Search options: 'copy file name' does not work)

- Switch from nautilus-sendto to xdg-email as default send-to command

Nouvelles fonctionnalités :

- InternalViewer: Show metadata file information by default

- Minor memory management improvements

- New or updated translations: cs, de, es, eu, id, id, pl, pt_BR, pt_BR, sv, uk

- New or updated docs: cs, es

1.10.2

2019-05-16

Corrections de bogues :

- Fix for compilation error with exiv2 0.27.1 (Thanks to Mamoru Tasaka)

Nouvelles fonctionnalités :

- New or updated docs: es

1.10.1

2019-05-12

Corrections de bogues :

- ...

- Removed gnome-config references, fixing bgo#570733 and issue #27 on GitLab

Nouvelles fonctionnalités :

- ...

- Search window can be optionally minimized or moved below the main window

- New or updated translations: ar, bg dz, de, en_CA, en_GB, es, ga, hr, hu, ne, pl, pt_BR, rw, sq, vi, zh_TW

- New or updated docs: de, es

1.10.0

2019-03-31

Corrections de bogues :

- Various warnings at compile time have been fixed

- Several code improvements and memory leaks have been fixed

Nouvelles fonctionnalités :

- Gnome Commander icon and internal viewer icon refreshed

- Gnome Commander settings are now completely migrated to GSettings under the key "org.gnome.gnome-commander"

- Options in ~/.gnome2/gnome-commander and in ~/.gnome-commander/* are migrated automatically

- Script and plugin folder in ~/.gnome-commander is moved into ~/.config/gnome-commander

- New or updated translations: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- New or updated docs: cs, de, es, sv

1.8.1

2018-03-04

Corrections de bogues :

- Fix simple script system for file names with spaces

- Fixed bgo#785505: Problem when compiling GCMD with flex 2.6.4

Nouvelles fonctionnalités :

- Store the size of the options dialog when closing itself

- Remove unnecessary border lines from the options dialog tabs (thanks to Elijah)

- Removed python support completely

- New or updated translations: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- New or updated docs: cs, de, es

1.8.0

2017-08-10

Nouvelles fonctionnalités :

- Quick search can be activated by just typing a letter, adjustable in the options tab

- Option for saving/not saving the command line history on exit

- Option for saving/not saving the search history on exit

- Added a settings option for deciding if the terminal window should stay open when a command finishes

- [build] Don't use gnome-autogen.sh anymore (Many thanks to Philip Withnall and David King)

- [build] Translations are now handled by upstream gettext instead of intltool

- [build] New documentation infrastructure: Use yelp-tools instead of gnome-doc-utils

Other changes:

- Increased minimum GTK version from 2.8.0 to 2.18.0

- Code cleanup

Corrections de bogues :

- [build] Python is now found at build time, too, when its version is equal to or higher than 3.x

- New or updated translations: ca, cs, de, eo, es, fi, hu, id, pl, pt_BR, sl, sr, sr@latin, sv

- New or updated docs: cs, de, es

1.6.4

2017-05-28

Corrections de bogues :

- Fixed problem bgo#779574 (Other favourite apps settings not saved)

- Fixed problem bgo#619112 (Internal-viewer by default display incorrect code pages)

Nouvelles fonctionnalités :

- New or updated translations: cs, de, eu, hu, id, pl, pt_BR, sr, sl@latin, sv

- New or updated docs: cs, de, es

1.6.3

2017-02-26

Corrections de bogues :

- libunique (sometimes called only 'unique') is now optional via configure option

Nouvelles fonctionnalités :

- New or updated translations: cs, es, pl, pt_BR, ru, sr, sl@latin

- New or updated docs: cs, de, es

1.6.2

2016-11-06

Corrections de bogues :

- Fixed problem bgo#398734 (Color of marked files does not change when using theme colors)

- Device list entry width is set equal to the longest string in the list

- Fixed a bug in advance rename tool when utilizing METATAGS

Nouvelles fonctionnalités :

- Disk free space label is shown in status bar if device list isn't shown (works after restarting gcmd)

- Shortcut can be assigned for:

  - Moving the cursor up or down ("Move cursor one step up/down")

  - Viewing bookmarks of current device ("Show bookmarks of current device")

- New or updated translations: hu, de, pl, sr, sl@latin

- New or updated docs: cs

1.6.1

2016-10-18

Corrections de bogues :

- Fixed problem bgo#638174 (Selection background color not applied when using custom colors)

- Fixed problem bgo#773063 (Compiles with gcc6 -Werror=format-security, Thanks to Mamoru Tasaka)

Nouvelles fonctionnalités :

- New or updated docs: cs

1.6.0

2016-10-04

Corrections de bogues :

- Fixed problem bgo#671616 (Right-Mouse popup menu is displayed in wrong position, Thanks to Puux)

- Fixed problem bgo#683087 (Crash opening properties window on certain objects, Thanks to Puux)

- Fixed problem bgo#742752 (Made options dialog resizable and added scrollbars)

- Preserve focused file after renamed with AdvRenDialog (Thanks to Martin Mocko)

- Fixed problem bgo#767158 (Shortcuts stop working after changing layout)

- Fixed string escaping for directories with ampersand (see bgo#769309)

- Fixed problem bgo#770062 (Memory leak in GnomeCmdPlainPath, Thanks to Eric)

- Fixed problem bgo#770063 (Memory leak in get_string_pixel_size, Thanks to Eric)

Nouvelles fonctionnalités :

- Always reopen the tab which was previously closed in the options dialog

- Samba support is now optionally available via configure option

- Configurable command for sending files to a preferred application

- Button 'Edit files' accepts more than one selected file at the same time

- Device buttons and device list entries act as 'home buttons' for that device when it is already active

- Copy directory path to clipboard after right click on dir-indicator (Thanks to Puux)

- Show/hide mainmenu can be set as keyboard shortcut now (Thanks to Puux)

- Simple plug-in system for file context menu (Thanks to Puux)

- Display of application icons in the "Open With" popup menu (Thanks to Puux)

- Write bookmark changes immediately to file, Sync bookmarks between all instances (Thanks to Puux)

- Storage of options is done in the dconf database now instead of a gnome-config file (see bgo#570733)

- Devices and fav-apps are now stored within the GKeyFile format

- File Roller plugin can use patterns of strftime when creating the archive name

- Started usage of google test framework for unit tests

- New colour theme 'Winter'

- Code cleanup

- New or updated docs: cs, de, el, es

- New or updated translations: bs, ca, cs, de, es, eu, fi, fr, hu, id, lt, nb, oc, pl, pt, pt_BR, ro, sk, sl, sr, sl@latin, sv, tr

Other changes:

- Removed "Open folder" command in popup menu and user actions

1.4.9

2016-09-18

Corrections de bogues :

- Fixed bgo#764306 (Spelling mistake and wrong words in strings, thanks to Anders Jonsson)

Nouvelles fonctionnalités :

- New or updated translations: cs, de, es, hu, hu, hu, id, pl, pt, ro, sk, sr, sr@latin, sv

- New or updated docs: cs, de, es

1.4.8

2016-03-14

Corrections de bogues :

- Fixed problem bgo#761580 (Support gcc6 -Werror=format-security, thanks to Mamoru Tasaka)

Nouvelles fonctionnalités :

- New or updated translations: cs, de, pl, pt, pt_BR, oc

- New or updated docs: cs, de

1.4.7

2015-05-30

Corrections de bogues :

- Fixed problem bgo#745454 (Segmentation fault after find files, thanks to Mamoru Tasaka)

- Fixed problem bgo#749869 (Segfault on the second search, thanks to Mamoru Tasaka)

- Fixed problem bgo#734032 (Clicking on .png file looks at wrong MIME type, thanks to Mamoru Tasaka)

Nouvelles fonctionnalités :

- New or updated translations: co

- New or updated docs: cs

1.4.6

2015-05-19

Corrections de bogues :

- Fixed problem bgo#748869 (crash when searching two times consecutively)

- Fixed problem bgo#746003 (crash on opening property dialog on ftp-directory with "odd" uid)

- Fixed problem bgo#747771 (appdata.xml file is not being translated, thanks to Dominique Leuenberger)

- Fixed problem bgo#653573 (Passwords store in plain text in ./gnome-commander/connections)

- Fixed problem bgo#742752 (Made options dialog resizable and added scrollbars)

Nouvelles fonctionnalités :

- New or updated translations: bs, el, pt

- New or updated docs: cs, el

1.4.5

2015-01-24

Corrections de bogues :

- Fixed problem bgo#741316 (Appdata missing in POT)

- Fixed problem bgo#742716 (Option --start-right-dir crashes gnome-commander)

- Removed python-2.6 support from gentoo ebuild

Nouvelles fonctionnalités :

- New or updated translations: cs, hu, id, sr, sr@latin

- New or updated docs: cs

1.4.4

2014-11-11

Corrections de bogues :

- Fixed problem bgo#571495 (Migrated from gnome_execute_shell to g_spawn_async)

- Fixed problem bgo#737088 (Support for user's terminal different from gnome-terminal)

Nouvelles fonctionnalités :

- New or updated translations: cs, de, eu, fi, id, sr, sr@latin

- New or updated docs: cs, es

1.4.3

2014-06-22

Corrections de bogues :

- Fixed problem bgo#731557 (Crash when drag 'n drop via mouse and file aready exists)

Nouvelles fonctionnalités :

- New or updated translations: cs, de, eu, fi

- New or updated docs: cs

1.4.2

2014-05-23

Corrections de bogues :

- Fixed Gentoo problem #509574 (Switched from python-r1 to python-single-r1 in ebuild)

- Fixed problem bgo#367949 (Corrected async_xfer_callback-results for moving folders)

- Fixed problem bgo#598161 (Selecting text in internal viewer on lines with TAB characters)

- Text selection in int. viewer works on lines with TAB characters (Thanks to Jan Vleeshouwers)

Nouvelles fonctionnalités :

- New or updated translations: cs, el, sr, sr@latin

1.4.1

2014-04-05

Corrections de bogues :

- Fixed problem bgo#641842 (Use poppler-glib instead of poppler internal API)

- Fixed problem bgo#726682 (Patch to fix undefined reference to vtable)

- Support for utf8 encoded creation and modification dates in document metadata

- Moved Search, Quick Search and Enable Filter from Edit to File menu

Nouvelles fonctionnalités :

- New or updated translations: cs, es, fr , id , pt_BR, sl

- New or updated docs: cs, es

1.4.0

2014-03-17

Corrections de bogues :

- Fixed problem bgo#377463 (mkdir dialog loses focus)

- Fixed problem bgo#492479 (file replace prompt must show date and size of files)

- Fixed problem bgo#617140 (GNOME Goal: Use accessor functions instead direct access)

- Fixed problems bgo#632064, bgo#632208, bgo#633107, bgo#633167, bgo#633331, bgo#634972, bgo#637873, bgo#638059 (bugs in gnome-commander-help.master.po)

- Fixed problem bgo#660043 (shortcut ALT+DOWN not documented)

- Fixed problem bgo#660268 (remember directory history between sessions)

- Fixed problem bgo#667080 (delete confirmation defaults to YES/OK)

- Correction du problème #117226 Ubuntu (unification des signets)

- Problème résolu : sélection avec le bouton droit de la souris imprécise

- Fixed problem bgo#696227 (detect and support libgsf >= 1.14.26)

- Fixed problem bgo#684527 (Fixed typos in strings)

- Fixed problem bgo#660063 (define ALT+DOWN binding as user definable: view.dir_history)

- Fixed problem bgo#642178 (lock tabs for prev/next buttons)

Nouvelles fonctionnalités :

- Prise en charge des onglets

- Réorganisation de la boîte de dialogue des signets

- Réorganisation de la boîte de dialogue des propriétés de fichier

- Mode instance unique

- Nouveau thème de couleurs : tigre vert

- Couleurs LS_COLORS définies par l'utilisateur.

- Possibility to select/deselect files only

- Prise en charge des compteurs de longueur automatique dans les modèles avancés de renommage de fichiers

- Amélioration de la concordance des noms dans la recherche rapide

- Ouverture du terminal avec les privilèges administrateur

- Confirmation pour les opérations de glisser & déposer

- Right click popup menu for copying in internal viewer

- option en ligne de commande --config-dir pour personnaliser l'emplacement des fichiers de configuration

- Several speed improvements including C++ rework and code cleanups

- New python plugin: 'apply_patch'

- Dropped broken MIME type configuration

- Dropped support for cvs plugin

- New or updated docs: cs, de, en, es, el, fr, ru, sl

- New or updated translations: ca, cs, da, eo, es, eu, fr, hu, it, ja, ko, nb, pl, pt_BR, ro, ru, sl, sr, sr@latin, sv, uk, zh_CN

- Nouvelles associations de touches :

  - CTRL T Open directory in a new tab (replaces the old Multi-Rename-Tool binding)

  - CTRL W Close current tab

  - CTRL SHIFT W Close all tabs

  - CTRL TAB Switch to the next tab

  - CTRL SHIFT TAB Switch to the previous tab

  - SUPER 1 Change left connection

  - SUPER 2 Change right connection

1.2.8.17

2014-01-12

Corrections de bogues :

- Fixed problem bgo#721132 (Support build with -Werror=format-security)

- Updated GCMD home page location in source code

Nouvelles fonctionnalités :

- Updated translations: es, id, pt_BR

1.2.8.16

2013-12-23

Corrections de bogues :

- Fixed gcc-4.7 compiling problem

- Fixed problem bgo#705724 (poppler >= 0.24)

- Fixed problem bgo#676303 (poppler >= 0.20.0)

Nouvelles fonctionnalités :

- New or updated docs: de, el, fr

- Updated translations: da, de, el, fr, hu, id, pt_br, ru, sl, th

1.2.8.15

06/12/2011

Corrections de bogues :

- Problème résolu #65372 (liens manquant dans la documentations gcmd-1.2.8)

Nouvelles fonctionnalités :

- Nouvelle ou mise à jour de documentations : cs, de, es, fr

- Traduction mise à jour : eo, es, sl

1.2.8.14

04/10/2011

Corrections de bogues :

- Problème résolu #621756 (port personnalisé pour ftp non sauvegardé)

- Problème résolu #657780 (bogues dans nl.po)

1.2.8.13

06/08/2011

Corrections de bogues :

- Problème résolu #646871 (plantages dans les propriétés de fichier si connecté à FTP)

1.2.8.12

15/06/2011

Corrections de bogues :

- Problème résolu #618214 (plantage pendant l'annulation d'une recherche)

- Problème résolu #640387 (encore une autre résolution pour des modules python obsolètes : md5, sha1)

- Problème résolu #649375 (signets non mis à jour pour ceux récemment ajoutés)

- Problème résolu avec les permissions mkdir

1.2.8.11

01/05/2011

Corrections de bogues :

- Problème résolu #639243 (documentations trompeuse pour le raccourci F2)

- Problème résolu #640387 (utilisation des modules obsolètes : md5, sha1)

- Fixed problem with starting GNOME Commander as root

- Problème résolu avec la traduction en chinois traditionnel

Nouvelles fonctionnalités :

- Prise en charge des boutons de souris en avant/en arrière

1.2.8.10

15/01/2011

Corrections de bogues :

- Problème résolu #448941 (les flèches du pavé numérique ne fonctionnent pas dans la fenêtre principale)

- Problème résolu #620275 (ajout d'un élément de menu pour copier le chemin complet et le nom de fichier vers le presse-papiers)

- Problème résolu #637501 (advrename : le menu surgissant des métabalises affiche des éléments incorrects)

- Problème résolu avec le basculement des sélections « chemin/nom de base/nom de fichier » dans les boîtes de dialogue copier/déplacer

- Problème résolu avec le chemin de recherche des périphériques

- Traduction mise à jour : de

1.2.8.9

03/12/2010

Corrections de bogues :

- Problème résolu #352024 (la touche F10 ne fonctionne pas)

- Problème résolu #631243 (advrename $c(width) regression)

Nouvelles fonctionnalités :

- Prise en charge de caractères génériques similaires à ceux du shell dans la recherche rapide

1.2.8.8

09/09/2010

Corrections de bogues :

- Problème résolu #610764 (les éléments de menus ne restent pas cochés)

- Problème résolu #626469 (ajout de la prise en charge de programmes de type su : xdg-su, gnomesu)

- Problème résolu avec la traduction espagnole

1.2.8.7

27/07/2010

Corrections de bogues :

- Problème #540438 corrigé (pas de message GUI si meld ne peut pas être lancé)

- Problème résolu #616367 (boîte de dialogue « Fichier non trouvé » après le démarrage)

- Problème résolu #620650 (dépassement de buffer dans load_fav_apps())

- Problème résolu #622456 (ne construit pas les greffons comme des objets de bibliothèques partagées)

- Problème résolu concernant la modification des options pour les applications et périphériques préférés

1.2.8.6

01/06/2010

Corrections de bogues :

- Problème résolu #600292, #612685 (plantage lors d'un double-clic sur un signet)

- Problème résolu #602795 (Recherche dans le contenu de fichier)

- Problème résolu #609912 (erreur de compilation avec --as-needed)

- Problème résolu #616891 (erreur de compilation sur RHEL 5.5)

Nouvelles fonctionnalités :

- Nouvelle traduction : ko

1.2.8.5

13/02/2010

Corrections de bogues :

- Problème résolu #604558 (curseur perdu/mal placé)

- Problème résolu #604904 (erreur de compilation avec OpenSolaris)

- Problème résolu #609342 (pas d'affichage de mtime pour « .. »)

- Problème résolu concernant la modification de connections avec le réseau Windows

- Problème résolu concernant les actions de l'utilisateur inexistantes

1.2.8.4

03/12/2009

Corrections de bogues :

- Problème résolu #602916 (entrée menu non fonctionnelle)

- Problème résolu #603301 (plantage lors de l'annulation de la création de lien symbolique avec la touche Échap)

- Problème Ubuntu résolu #369818 (tri par taille incorrect dans les volets)

- Problème résolu du non fonctionnement du pavé numérique dans la boîte de dialogue copier/déplacer

- Problème résolu concernant le blocage clavier après Alt+1/2 avec une liste de périphériques cachées

1.2.8.3

28/10/2008

Corrections de bogues :

- Problème résolu #541891 (noms de fichier contenant % dans l'outil de renommage avancé)

- Problème résolu #581645 (recherche rapide inconfortable)

- Problème résolu #596768 (avertissement de compilation pour Python)

- Problème résolu #596973 (erreur de construction de la documentation)

- Problème résolu #597144 (appel manquant à pclose)

- Problème résolu #597233 (validation des traductions du manuel)

- Problème résolu #597890 (arguments incorrects transmis à meld)

- Problème résolu #598278 (fuite mémoire)

1.2.8.2

22/09/2009

Corrections de bogues :

- Problème résolu #591944 (permissions définies à 000 après chmod)

- Problème résolu #595097 (erreur de compilation pour poppler >= 0.11.3)

- Problème Debian résolu #438884 (étiquette de périphérique incorrecte lors du changement de volet avec CTRL+U)

- Problème résolu : icône de fichier cassée après avoir renommer un lien symbolique

1.2.8.1

10/08/2009

Corrections de bogues :

- Problème résolu #587325 (plantages dans un environnement chroot propre)

- Problème résolu #589108 (erreur de compilation sur OpenSuse)

- Problème résolu #591206 (plantage pendant sysconf() sur FreeBSD)

- Problème résolu avec le formatage du compteur $c(16) dans les modèles de renommage avancé

1.2.8

29/06/2009

Corrections de bogues :

- Problème résolu #375357 (plantage lors de l'annulation des calculs de propriétés de répertoire)

- Problème résolu #536446 (nom du fichier non mise en surbrillance pour un renommage sur place)

- Problème résolu #539812 (plantage lors de la suppression d'un fichier : it.po cassé)

- Problème résolu #548947 (problème de date non UTF-8 dans certaine configuration linguistique)

- Problème résolu #548948 (plantage lorsque le dossier personnel contient des caractères non UTF-8)

- Problème résolu #548961 (prise en charge de méthode de saisie lors du renommage ou de la recherche rapide)

- Problème résolu #554586 (problème de macro AC_PROG_CXX)

- Problème résolu #554598 (But GNOME : LINGUAS)

- Problème résolu #556664 (les signets ne peuvent pas être sauvegardés pour les périphériques montés )

- Problème résolu #567404 (plantage quand on appuie sur Inser. sur un sous-répertoire)

- Problème résolu #556836 (défilement dans les volets quand on change de volet)

- Problème résolu #567506 (démarrage lent sur un système ayant de nombreux utilisateurs)

- Problème résolu #570727 (utilisation de la fonction obsolète gnome_url_show)

- Problème résolu #571239 (remplacement de l'obsolète GnomeColorPicker par GtkColorButton)

- Problème résolu #571247 (replacement de l'obsolète GnomePixmap par GtkImage)

- Problème résolu #571558 (replacement des boutons GNOME_STOCK_* obsolètes par ceux de GTK_STOCK_*)

- Problème résolu #576174 (ordre des noms insensible à la casse dans les environnements linguistiques non en_US.utf8)

- Problème résolu #579633 (accès aux droits de l'administrateur avec gksudo)

- Problème résolu #583135 (Bouton « aller à » désactivé dans la boîte de dialogue Rechercher)

- Problème résolu #583711 (plantage en appuyant sur Échap dans la boîte de dialogue Signet)

- Problème résolu #584727 (mauvaise position du menu contextuel)

- Problème résolu avec la fonction volets égaux en mode horizontal

- Problème résolu du rafraîchissement des informations MIME après avoir renommer un fichier

Nouvelles fonctionnalités :

- Prise en charge des métabalises PDF dans les modèles pour le renommage avancé de fichiers

- Rénovation de l'outil avancé de renommage (références récursives pour les expression régulières (« \number »), profils, conversion de casse, troncature des blancs et bien plus)

- Prise en charge des métabalises dans la visionneuse interne

- Prise en charge du mode ouverture par clic unique

- Prise en charge de rangées de couleurs alternées dans les thèmes de couleur

- Nouveau thème de couleurs : café brésilien

- Nouvelles documentations ou mise à jour : de, en, es

- Nouvelles traductions ou mise à jour : ar, cs, de, es, eu, fr, it, ja, pl, pt_BR, sl, sv

- Nouvelles associations de touches :

  - CTRL E Open the history list for the command line

- Nouvelles combinaisons de touches pour l'afficheur intégré :

  - T Show metadata tags (replaces the old E)

  - ALT ENTER Show metadata tags

1.2.7

28/07/2008

Corrections de bogues :

- Problème résolu #522430 (recherche rapide pour les fichiers commençant par une majuscule)

- Problème résolu #532615 (opérations sur fichier effectuées sur un fichier incorrect)

- Problème résolu #538806 (recherche rapide dans le répertoire racine)

- Problème résolu #539753 (erreur de compilation sur Solaris)

- Problème résolu #541404 (mise à jour des noms d'hôtes)

- Problème résolu avec le tri des fichiers dans l'outil avancé de renommage de fichier

- Problèmes de compilation résolus

Nouvelles fonctionnalités :

- Prise en charge de tous les protocoles réseau GnomeVFS (incluant SSH+FTP et WebDAV)

- Raccourcis clavier vers des programmes quelconques

- Copying selected URIs to clipboard with ALT click on toolbar button

- Réorganisation de la boîte de dialogue Recherche

- Réorganisation de la boîte de dialogue de progression des transferts

- Documents d'aide mis à jour

- Nouvelles traductions ou mise à jour : cs, de, es, fr, it, ja, oc, pl, pt_BR

1.2.6

01/06/2008

Corrections de bogues :

- Problème résolu #392959 (changement dynamique d'utilisateur vers root)

- Problème résolu #496150 (défilement avec la roulette de la souris)

- Problème résolu #499761 (fenêtre de recherche effacée quand les colonnes sont triées)

- Problème résolu #499764 (problème de sélection multiple)

- Problème résolu concernant le tri des noms de fichiers encodés en UTF-8

- Problème résolu concernant la copie de fichiers vers des liens symboliques de répertoires

- Problème résolu concernant la gestion du chemin complet des fichiers pendant une copie ou un déplacement vers des périphériques montés

Nouvelles fonctionnalités :

- Mode root pour le lancement de GNOME Commander avec les privilèges administrateur

- Interface utilisateur graphique pour la gestion des raccourcis clavier

- Ouvrir l'emplacement actuel dans le gestionnaire de fichiers Nautilus

- Outils de renommage multiple - nouveau substituant $x et $X pour les nombres aléatoires hexadécimaux

- Réorganisation de la boîte de dialogue Recherche

- Prise en charge des modificateurs <super>, <hyper> et <meta> (depuis GTK+ 2.10)

- Documents d'aide mis à jour

- Nouvelles traductions ou mise à jour : cs, de, en_GB, es, eu, fi, fr, hu, it, oc, pl, sl

- Nouvelles associations de touches :

  - SUPER F Search files

1.2.5

29/02/2008

Corrections de bogues :

- Problème résolu #345314 (le curseur ne reste pas sur le fichier pendant le renommage)

- Problème résolu #353889 (disparition de fichiers après un déplacement non réussi (F6))

- Problème résolu #346286, #424447, #447882, #467058 (plantage au cours de l'utilisation d'expressions régulières dans l'outil de renommage)

- Problème résolu #365227 et #446361 (problème de compilation sur Solaris)

- Problème résolu #424159 (problème de tri des colonnes)

- Problème résolu #434545 (Anomalie Debian #421480 : icônes ÉNORMES pour les icônes de périphérique)

- Problème résolu #447415 (incapacité à lancer des exécutables)

- Problème résolu #448942 (Maj+Entrée : lancement d'une commande dans un terminal séparé)

- Problème résolu #449137 (répertoires renommés non accédés par nom)

- Problème résolu #468685 (plantage dans le module Python)

- Problème résolu #490431 (affichage des fichiers dont le nom contient « % »)

- Problème résolu #508565 (gestion impropre de l'utf-8 dans l'outil avancé de renommage de fichiers)

- Problème résolu #510567 (échec lors de la suppression de répertoire)

- Problème résolu à la création de répertoires de type ~/rep

- Problème résolu avec la mise à jour de la barre d'état de l'afficheur intégré

- Plantage résolu à la création de répertoire avec chemin absolu sur un partage SMB

- Plantage résolu au cours du déplacement d'un fichier contenant le symbole % dans le nom

- Problème résolu avec la perte sporadique du curseur dans les volets fichier

- Problème résolu avec le montage des périphériques contenant un espace dans le nom

- Problème résolu avec l'historique des modèles avancés de renommage

- Problèmes de compilation résolus

Nouvelles fonctionnalités :

- Prise en charge des métabalises APE, FLAC et Vorbis dans les modèles avancés de renommage de fichiers

- Prise en charge des métabalises Exif makernotes dans les modèles avancés de renommage de fichiers

- Prise en charge des métabalises des fichiers dans les modèles avancés de renommage de fichiers

- Utilisation du gestionnaire de connexions GNOME pour les informations d'identification pour la sécurité de l'utilisateur

- Balises des métadonnées dans la boîte de dialogue Propriétés des fichiers

- Ouvrir un terminal dans le répertoire actuel

- Thème d'icônes GNOME par défaut pour le répertoire personnel et les emplacements SMB et FTP

- Raccourcis clavier adaptable par l'utilisateur pour les signets

- Envoyer des fichiers par courriel ou messagerie instantanée (en utilisant nautilus-sendto)

- Documents d'aide mis à jour

- Nouvelles traductions ou mise à jour : ar, bg, cs, de, dz, eo, es, eu, fr, oc, pl, pt_BR, ro, sl, sv

- Nouvelles associations de touches :

  - CTRL LEFT/RIGHT Copying the current working directory from the active file list to the inactive one

  - CTRL N Open new connection to remote server (replaces the old CTRL G)

1.2.4

09/06/2007

Corrections de bogues :

- Problème résolu concernant l'ouverture des répertoires avec l'afficheur intégré

- Fixed problem with editing dirs by GNOME Commander

- Problème résolu #351952 (plantage pendant la recherche d'un contenu)

- Problème résolu #352253 (comportement du défilement de l'afficheur)

- Problème résolu #360175 (plantage en entrant dans un répertoire dont le nom comporte le symbole %)

- Problème résolu #371948 et #388970 (chemin du fichier non échappé)

- Problème résolu #412162 (compilation avec --enable-python=no)

- Problèmes de compilation résolus

Nouvelles fonctionnalités :

- Prise en charge des greffons Python

- Nouveaux greffons Python :

  - `md5sum` Create MD5 (128-bit) checksum

  - `sha1sum` Create SHA-1 (160-bit) checksum

- Prise en charge des métabalises OLE et ODF dans les modèles avancés de renommage de fichiers

- Raccourcis clavier adaptable par l'utilisateur

- Authentification SMB

- Affichage de la taille totale des fichiers dans les sous-répertoires sélectionnés

- « cd - » pour se déplacer dans le répertoire de travail précédent

- Usage plus intuitif de l'outil diff

- Synchronisation de répertoire

- Création de répertoire façon « mkdir -p »

- Documents d'aide mis à jour

- Nouvelles traductions ou mise à jour : ar, bg, cs, dz, en_GB, fr, it, oc, pl, sl, sv

- Nouvelles associations de touches :

  - CTRL\ Go to the root directory

  - CTRL` Go to the home directory

  - CTRL 5 Create MD5 (128-bit) checksum

  - CTRL SHIFT C Copy selected file names to clipboard

1.2.3

11/12/2006

Corrections de bogues :

- Problème résolu #384752 (mauvaises permissions pour les nouveaux répertoires)

1.2.2

11/12/2006

Corrections de bogues :

- Problème résolu concernant la création de lien symbolique pour les sélections multiples de fichiers

- Problème résolu concernant le regroupement des chiffres de la taille des fichiers

- Problème résolu concernant la gestion SMB UNC

- Problème résolu #367744 (affichage des noms de fichier non correct)

- Problème résolu #374282 (recherche avec des liens symboliques récursifs)

- Problème résolu #377706 (sélection des fichiers avec Maj+Page Suivante)

Nouvelles fonctionnalités :

- Prise en charge des métabalises ID3 dans les modèles pour le renommage avancé de fichiers

- Documents d'aide mis à jour

- Nouvelles traductions ou mise à jour : ar, en_GB, es, fi, it, pl, sv

- Nouvelles associations de touches :

  - CTRL SHIFT= Set both panels equal

1.2.1

16/10/2006

Corrections de bogues :

- Problème résolu avec la mise à jour de la base de données scrollkeeper

- Correction du plantage lorsque l'indicateur dir est vide

- Problème résolu du rafraîchissement après les commandes chown ou chmod

- Problème résolu #333898 (suffixe d'icônes obsolète dans les fichiers du bureau)

- Problème résolu #347561 (greffon répertoire mis en place incorrectement)

- Problème résolu #347817 (utilisation non correcte des drapeaux d'édition de lien du Makefile)

Nouvelles fonctionnalités :

- Prise en charge des archives (gz, bz2, zip, lha, rar, jar, 7-zip, zoo, deb, rpm) via le greffon FileRoller

- Nouveau index façon Python pour le renommage avancé de fichiers

- Prise en charge des métabalises Exif et IPTC dans les modèles pour le renommage avancé de fichiers

- Accès rapide aux substituants modèle pour le renommage avancé

- Remplacement en place (Maj+F6)

- Réorganisation des menus de l'application

- Fonctionnalité « recherche » pour l'afficheur intégré

- Nouvelle icône pour l'afficheur intégré

- Documents d'aide mis à jour

- Nouvelles traductions ou mise à jour : ca, cs, de, el, en_GB, es, eu, fi, hu, it, ne, pl, ru, sv, vi

- Nouvelles associations de touches :

  - CTRL SHIFT H Toggle hidden files on/off

1.2.0

12/05/2006

Corrections de bogues :

- Problème résolu #171051 (plantages au cours de la recherche avec un chemin non existant)

- Problème résolu de l'absence d'entrée menu GNOME

- Correction du plantage lors de l'affichage de connexions SMB

- Problème résolu #309877 (étranges artéfacts avec le défilement horizontal)

- Problème résolu #332258 (paramètre pour le répertoire de départ gauche/droite)

- Problème résolu #332261 (exec_prefix non correctement analysé pendant configure/makefiles)

- Problème résolu #336649 (affichage des permissions sous la forme de nombres)

- Problème résolu des plantages lors de l'utilisation de motifs interrompus ou qui ne correspondent pas à une expression régulière pour le renommage avancé

Nouvelles fonctionnalités :

- Surveillance du montage des volumes

- Réécriture de l'afficheur intégré

- Outils externes et afficheur des balises Exif/IPTC pour l'afficheur intégré

- Possibilités de zoom pour l'afficheur intégré

- Sélection de texte pour l'afficheur intégré

- Réorganisation de l'agencement de la barre d'outils

- Options de contrôle pour l'écrasement au cours de la copie ou du déplacement

- Copie des chemins complets des fichiers sélectionnés avec Maj+clic sur un bouton de la barre d'outils

- Meilleure gestion de la modification de la clé de tri des colonnes

- Structure initiale de la documentation

- Nouvelles traductions ou mise à jour : de, es, eu, hu, pl, ro, ru, sl, sv, vi

- Nouvelles associations de touches :

  - SHIFT F3 Internal viewer

  - ALT F3 External viewer

  - ALT+letters Quick search

  - CTRL SHIFT A Deselecting all files

1.1.7

12/02/2006

Corrections de bogues :

- Correction du plantage lors d'un essai de copie des fichiers actuellement sélectionnés

- Correction de l'échappement de nom de fichier

- Correction du problème de mauvaise réactivité de Ctrl+Alt+lettre au cours d'une saisie trop rapide

- Anomalie Debian résolue #288933 (erreurs de compilation amd64/gcc-4.0)

- Problème résolu #138933 (récursion infinie lors d'un glisser-déposer d'un répertoire sur lui-même)

- Correction du problème avec le mauvais comportement du bouton de déconnexion au cours d'une connexion à un serveur ftp en mode supermount

- Correction de la mise à jour après un renommage sans FAM

Nouvelles fonctionnalités :

- New GNOME Commander logo

- Ajout de l'afficheur intégré F3

- Possibilité de copie des noms des fichiers sélectionnés vers le presse-papiers

- Inserting selected file full path to the cmdline when pressing CTRL+SHIFT+ENTER

- Outils de renommage multiple - nouveau substituant $g pour le répertoire grand-parent

- Les boutons de la barre d'outils (couper, copier et coller) sont maintenant sensible à l'état actuel

- La boîte de dialogue de gestion des signets est maintenant accessible également via le raccourci signets

- Nouvelles traductions ou mise à jour : el, en_CA, en_GB, eu, ga, hu, nb, ne, no, pa, pt_BR, rw, uk, zh_TW

- Nouvelles associations de touches :

  - CTRL M Multi-Rename-Tool

  - CTRL SHIFT. Copying the current working directory from the active file list to the inactive one

  - CTRL= Select all files

  - CTRL- Unselect all files

  - = Select files using a pattern

1.1.6

20/01/2004

Corrections de bogues :

- Correction du plantage au cours de la navigation vers l'arrière dans l'historique puis l'entrée dans un autre répertoire

- Correction des problèmes de connexion ftp rapide (ftp-quick-connect)

- La fonction de recherche rapide peut maintenant être également lancée en saisissant des lettres majuscules

- CTRL+ALT no longer needs to be used to activate quick-search when the cmdline is hidden

Nouvelles fonctionnalités :

- Mise à jour du greffon cvs afin qu'il puisse être utilisé pour des fichiers diff et log

- Utilisation d'un texte gras plutôt que souligné pour l'indicateur dir lorsque celui-ci est sélectionné par le curseur de la souris

- L'étiquette cwd peut maintenant être sélectionnée (celle à gauche de la ligne de commande)

- Suppression de l'élément de menu « Enregistrer la position ». La taille et la position sont maintenant automatiquement sauvegardées à la place

- Ajout d'un bouton à l'indicateur de répertoire afin de faire apparaître l'historique des répertoires

- Ajout d'un historique dans les boîtes de dialogue de sélection et désélection par modèle

- Le tri des colonnes et leur direction sont maintenant sauvegardés

- Nouvelles associations de touches :

  - F2 Open the rename dialog

  - SHIFT+F10 Bring up the file context menu (the windows menu key also works)

  - CTRL. Copy the current working directory from the inactive file list to the active one

1.1.5

12/01/2004

Corrections de bogues :

- La colonne ext est maintenant cachée lorsque l'extension est seulement affichée avec le nom du fichier

- Correction du réaffichage inutile de la liste des fichiers lorsqu'un fichier est déplacé au dessus

- Problème résolu avec les connexions ftp qui ne disparaissent pas de la barre d'outils après déconnexion

- Le programme ne tente désormais plus de se recentrer lui-même sur le bureau

- Correction des problèmes de renommage des répertoires

Nouvelles fonctionnalités :

- L'indicateur dir au dessus de chaque liste de fichiers peut maintenant servir à naviguer vers le haut dans la structure des répertoires

1.1.4

24/11/2003

Corrections de bogues :

- Correction de l'anomalie au cours de la sélection multiple de fichiers avec Maj + bouton de la souris

- Arrêt des mises à jour superflues de la liste des fichiers sur les machines utilisant le patch noyau imon

- Nettoyage du menu contextuel des fichiers

- Correction de l'anomalie « fichier non trouvé » au cours de la navigation dans le répertoire parent alors que le nom de celui-ci contient des espaces

- Correction d'une éventuelle erreur de non synchronisme au cours de l'annulation d'une opération de transfert

- Révision de l'onglet de l'agencement et suppression de l'onglet des couleurs dans la boîte de dialogue des options

- Amélioration du système des greffons

1.1.3

14/11/2003

Corrections de bogues :

- Fixed a crash that happened when moving files on a machine with a snappy FAM installation. This lead to that GNOME Commander tried to remove the same file twice from a list

- L'accès aux fichiers sur les périphériques montés devrait fonctionner mieux

- Les périphériques dans le nom de fichier de périphérique ne devraient plus disparaître

- Correction afin que la fonction qui laisse la fenêtre du terminal ouverte après qu'un programme soit terminé, fonctionne de manière fiable

- Correction d'une anomalie au cours de laquelle un nouveau répertoire apparaît plusieurs fois dans la même liste de fichiers avant d'être rechargée

Nouvelles fonctionnalités :

- La confirmation de la suppression peut maintenant être désactivée

- Meilleurs messages d'erreur au cours de l'échec d'un montage

- Rendre le démarrage du calcul de la taille totale d'un répertoire automatique lorsque la boîte de dialogue des préférences est affichée

- Ajout de filtres pour les fichiers de sauvegarde ainsi que le filtre pour les fichiers cachés dans le menu principal pour un meilleur accès

1.1.2

07/11/2003

Corrections de bogues :

- Gestion meilleure des noms de fichiers non UTF8

- Suppression de la création d'uri non sûr

Nouvelles fonctionnalités :

- Trois manières d'afficher les extension de fichier

1.1.1

05/11/2003

Corrections de bogues :

- Fin de l'affichage de l'extension du fichier à la fois dans la colonne nom et la colonne ext

- Correction des plantages se produisant lors de la navigation dans les répertoires

- Correction des problèmes de mise à jour au cours de la copie et du déplacement des fichiers

- La boîte combinée de connexion devrait maintenant afficher la connexion correcte comme sélectionnée tout le temps

- Suppression de quelques anomalies concernant la sélection de fichiers en utilisant le clavier

- Correction de la fonctionnalité d'édition du type MIME

Nouvelles fonctionnalités :

- Ajout d'un bouton pour modifier le type d'application MIME par défaut dans la boîte de dialogue des propriétés

1.1.0

01/11/2003

Nouvelles fonctionnalités :

- Parcours SMB

- Greffons

- Réécriture majeure de beaucoup de ligne de code

1.0.1

27/06/2003

Corrections de bogues :

- Amélioration de la mise à jour de la liste des fichiers dans le mode non-fam

- Des répertoires vides peuvent maintenant être lus sur les serveurs ftp

1.0 | 05/06/2003 | Ceci est la version « produit stable » 1.0 . Principalement de petites corrections d'anomalies dans la version précédente.
0.9.12 | 18/03/2003 | Corrections de bogues
0.9.11 | 13/03/2003 | Ajout de la prise en charge de $p dans la boîte de dialogue pour le renommage avancé. Cela vous fournit le répertoire parent. Correction d'une anomalie pour laquelle la suppression d'un répertoire ne fait que de le vider de temps en temps mais ne le supprime pas. Correction afin que le répertoire « .. » soit visible dans les sessions ftp.

0.9.10

24/03/2003

Correction d'une anomalie de chargement des images lors de l'usage de thèmes différents de celui par défaut. Nouvelle fonctionnalité de signet. Nouvelles fonctionnalités de modèle dans la boîte de dialogue avancé de renommage. Consultez doc/advrename.txt dans le fichier d'archive pour obtenir des détails. Boîte de dialogue de propriétés des fichiers plus belle avec prise en charge du renommage. Le déplacement des fichiers vers le répertoire « .. » est maintenant possible. Les barres d'outils et de boutons peuvent maintenant être cachées.

0.9.9 | 19/01/2003 | Amélioration de l'outil avancé de renommage. Ajout des possibilités de connexion rapide. Amélioration de la boîte de dialogue de recherche et la correction de plusieurs anomalies dans celle-ci. Ajout du thème d'icônes MIME basse résolution par défaut. Fonctionnement plus normale du menu contextuel des fichiers.
0.9.8 | 16/07/2002 | Les nouveautés de cette version sont le défilement automatique au DND, une meilleure recherche rapide, le montage et démontage, le rafraîchissement de la liste des fichiers sans FAM, l'historique des répertoires dernièrement visités et plus.
0.9.7 | 07/06/2002 |
0.9.6 | 04/04/2002 | La prise en charge MIME est ajoutée et des anomalies ont été résolues.
0.9.5 | 27/03/2002 | Ajout d'un terminal incorporé et correction de plusieurs anomalies.
0.9.4 | 21/03/2002 | Ajout de la prise en charge FAM, DnD et plus.
0.9.2 | 09/03/2002 | Amélioration de la stabilité et diminution des failles mémoires. CVS est désactivé jusqu'à ce qu'il fonctionne bien.
0.91-pre1 | 06/02/2002 | Amélioration de l'interface utilisateur et beaucoup d'autres petites bidouilles.
0.90-pre1 | 02/08/2001 | The first public version of GNOME Commander.